%define oname Paste

%def_with check

Name: python3-module-paste
Version: 3.10.1
Release: alt2

Summary: Tools for using a Web Server Gateway Interface stack

License: MIT
Group: Development/Python
Url: https://pypi.org/project/Paste
Vcs: https://github.com/pasteorg/paste

Source: %name-%version.tar
# https://github.com/pasteorg/paste/issues/107
Patch0: paste-3.10.1-tests-ignore-pkg_resources-warning.patch
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides Paste

%add_python3_req_skip scgi hotshot rfc822
%add_python3_req_skip flup.middleware.session hotshot.stats
# FIXME:mask python2 modules
%add_python3_req_skip cStringIO thread urlparse

%add_python3_self_prov_path %buildroot%python3_sitelibdir/paste/wsgilib.py

%description
These provide several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install
# hack for autocreate "provides python3(paste)"
touch %buildroot%python3_sitelibdir/paste/__init__.py

%check
%pyproject_run_pytest -v

%files
%python3_sitelibdir/paste/
%python3_sitelibdir/%{pyproject_distinfo paste}/

%changelog
* Mon Jun 02 2025 Stanislav Levin <slev@altlinux.org> 3.10.1-alt2
- Fixed FTBFS (setuptools 80.9.0).

* Wed Apr 02 2025 Stanislav Levin <slev@altlinux.org> 3.10.1-alt1.1
- NMU: fixed FTBFS (setuptools 75.8.1)

* Wed Dec 11 2024 Anton Vyatkin <toni@altlinux.org> 3.10.1-alt1
- New version 3.10.1.

* Thu Oct 19 2023 Daniel Zagaynov <kotopesutility@altlinux.org> 3.7.1-alt1
- Updated to upstream 3.7.1

* Sun Nov 13 2022 Daniel Zagaynov <kotopesutility@altlinux.org> 3.5.0-alt1.1
- NMU: used %%add_python3_self_prov_path macro to skip self-provides from dependencies.

* Sat Jul 10 2021 Vitaly Lipatov <lav@altlinux.ru> 3.5.0-alt1
- build python3 module separately, cleanup build

* Wed Oct 09 2019 Oleg Solovyov <mcpain@altlinux.org> 2.0.3-alt2
- disable unneeded "next" fix from 2to3

* Fri May 25 2018 Andrey Bychkov <mrdrew@altlinux.org> 2.0.3-alt1.1
- fix requires

* Tue May 22 2018 Andrey Bychkov <mrdrew@altlinux.org> 2.0.3-alt1
- updated version to 2.0.3 from tarball

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.7.5.1-alt3.hg20140319.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.7.5.1-alt3.hg20140319.1
- NMU: Use buildreq for BR.

* Sat Feb 07 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt3.hg20140319
- Deteled bad suffix from version

* Mon Jul 14 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt2.hg20140319
- New snapshot

* Wed Sep 18 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt2.hg20130410
- New snapshot

* Mon Apr 15 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt2.hg20130207
- Use 'find... -exec...' instead of 'for ... $(find...'

* Tue Apr 02 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt1.hg20130207
- New snapshot

* Fri Mar 22 2013 Aleksey Avdeev <solo@altlinux.ru> 1.7.5.1-alt1.hg20120305.1
- Rebuild with Python-3.3

* Fri Apr 13 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt1.hg20120305
- New snapshot
- Added module for Python 3

* Fri Jan 27 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.5.1-alt1.hg20110817
- Version 1.7.5.1

* Mon Oct 24 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 1.7.3.1-alt2.1
- Rebuild with Python-2.7

* Sun Jun 26 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.3.1-alt2
- Added %%py_provides Paste

* Wed May 05 2010 Andrey Rahmatullin <wrar@altlinux.ru> 1.7.3.1-alt1
- 1.7.3.1
- remove some optional dependencies (closes: #23442)

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.7.2-alt1.1
- Rebuilt with python 2.6

* Mon Mar 30 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 1.7.2-alt1
- Initial build for Sisyphus

